#!/bin/bash

LANG=en_US.UTF-8
export LANG

check_prog() {
  if [ ! -x "$1" ]; then
    echo "missing $1"
    exit 1
  fi
}

DN=$(which dirname)
KS=$(which kodi-send)

check_prog "$DN"
check_prog "$KS"

WHERE=`$DN ${0}`
MEDIA="$(cd ${WHERE}/../media ; pwd)"
WHAT=`echo "${0}" | sed -e 's|.*/switch-||' -e 's|\.sh$||' -e 's|-| |g'`

# change variables for your testing
SLEEP=1
FPS23="${MEDIA}/FPS_05s_1080p23.976_L4.1.mkv"
FPS25="${MEDIA}/FPS_05s_1080p25_L4.1.mkv"
FPS50="${MEDIA}/FPS_05s_720p50_x264.mkv"
FPS60="${MEDIA}/FPS_05s_720p60_x264.mkv"

for i in $WHAT ; do
  eval FPS="\$FPS${i}"
  $KS --action=Stop >/dev/null
  $KS --action="PlayMedia(${FPS})"
  sleep $SLEEP
  $KS --action=Stop >/dev/null
done
